# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "noa/developer/version"

Gem::Specification.new do |spec|
  spec.name          = "noa-developer"
  spec.version       = Noa::Developer::VERSION
  spec.authors       = ["Jari Jokinen"]
  spec.email         = ["info@jarijokinen.com"]
  spec.description   = "Developer module for Noa"
  spec.summary       = "Developer module for Noa"
  spec.homepage      = "https://github.com/jarijokinen/noa-developer"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.test_files    = spec.files.grep(%r{^spec/})
  spec.require_paths = ["lib"]

  spec.platform = Gem::Platform::RUBY
  spec.required_ruby_version = ">= 2.0.0"

  spec.add_dependency "bundler",            "~> 1.3"
  spec.add_dependency "capistrano",         "~> 3.0.0.pre5"
  spec.add_dependency "capybara",           "~> 2.1.0"
  spec.add_dependency "database_cleaner",   "~> 1.0.1"
  spec.add_dependency "factory_girl_rails", "~> 4.2.1"
  spec.add_dependency "forgery",            "~> 0.5.0"
  spec.add_dependency "guard-rspec",        "~> 3.0.2"
  spec.add_dependency "guard-spork",        "~> 1.5.1"
  spec.add_dependency "quiet_assets",       "~> 1.0.2"
  spec.add_dependency "rake",               "~> 10.1.0"
  spec.add_dependency "rspec-rails",        "~> 2.13.2"
  spec.add_dependency "rvm-capistrano",     "~> 1.4.0.rc1"
  spec.add_dependency "spork-rails"         # Use repo defined in Gemfile
  spec.add_dependency "shoulda-matchers",   "~> 2.2.0"
  spec.add_dependency "sqlite3",            "~> 1.3.7"
end
